      <?php

$idpaquete=$_GET['idpaquete'];
include ("conexion.php");

$cons2="SELECT nompaquete FROM paquetes WHERE idPaquete='$idpaquete'";
$res2=mysql_query($cons2,$conex) or die ("No se realizó cons2");
$nompaquete=mysql_result($res2,0,'nompaquete');

?>
<script src="ajax_paquetes.js" language="javascript"></script>
<!--ARCHIVOS PARA LISTA EN TEXTEDIT -->
<script src="ajax.js" language="javascript"></script>
<script src="ajax-dynamic-list.js" type="text/javascript" ></script>
<link href="ajaxestilosautocomplete.css" rel="stylesheet" type="text/css">

<link rel="stylesheet" type="text/css" href="ucaestilos.css">

<table width="950" border="0" align="center">
  <tr>
    <td><span class="style10">EDICI&Oacute;N DE PAQUETE</span><HR color="#CCCCCC" size="1" noshade="noshade">
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td style="background-color:#A9C238;">
          <table width="100%" border="0" cellpadding="0" cellspacing="5">
            <tr>
              <td width="476" height="26" align="right" valign="middle" class="style5" style="color:#FFF !important; padding-right:20px;">Agregar Producto:
                  <input type="text" class="cuadrotexto" id="nombre" name="nombre" onkeyup="ajax_showOptions(this,'getCountriesByLetters',event)" value="" style="width:250px;" autocomplete="off" />
                <input name="clave" type="hidden" class="cuadrotexto" id="clave" size="3" /></td>
                <td width="143" align="right" valign="middle" class="style4" style="color:#FFF !important;"><span class="style5">Cantidad:</span>                  <input name="cantidad" type="text" class="cuadrotexto" id="cantidad" size="5" maxlength="10" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" />
</td>
            <td width="305" valign="middle"><input name="agregar" type="button" class="boton2" value="Agregar" onclick="javascript:agregar()" id="agregar" />
              <?php echo "<input name='folio' id='folio' type='hidden' value='".$idpaquete."'>";?></td>
            </tr>
          </table>
		  </td>
        </tr>
      </table>
      <div id="contenido">
      <?php
	  if(isset($_GET['idpaquete']))
	{ 
		$idpaquete=$_GET['idpaquete'];
		
		$consulta1="SELECT nompaquete,costo FROM paquetes WHERE idPaquete ='$idpaquete'";
		$resultado1=mysql_query($consulta1,$conex) or die ("No se realizo la consulta1");
		$nompaquete=mysql_result($resultado1,0,'nompaquete');
		$precio=mysql_result($resultado1,0,'costo');
		
		echo "<form id='form1' name='form1' method='post' action='editpaquete2.php'>";
		//TABLA DE NOMBRE, PRECIO Y COSTO
		
				echo "<table border='0' cellpadding='0' cellspacing='5' align='center'>";
					echo "<tr>";
					  echo "<td class='style4'>Nombre del paquete:
					  <input name='nombre' type='text' class='cuadrotexto' id='nombre' size='50' value='$nompaquete'></td>";
					  
					  //SACAR EL COSTO DE LOS PRODUCTOS DEL PAQUETE
					  $costounidad=0;
					  $costoreal1=0;
					  $costoreal2=0;
					  $consulta01="SELECT clave,cantidad FROM contenido_paquete WHERE idPaquete='$idpaquete'";
					  $resultado01=mysql_query($consulta01,$conex) or die ("Fallo consulta de claves de paquete consulta01");
					  while ($fila01=mysql_fetch_row($resultado01))
					  {
						$consulta02="SELECT costounidad,clasificacion FROM productos WHERE clave='$fila01[0]'";
						$resultado02=mysql_query($consulta02,$conex) or die ("Fallo en consulta de costos de producto consulta02");
						@$clasificacion=mysql_result($resultado02,0,'clasificacion');
						$costounidad=0;
						$costoreal1=0;
						
						if ($clasificacion=='Contables fijos' or $clasificacion=='Contables variables')
						{
						@$costounidad=mysql_result($resultado02,0,'costounidad');
						}
						$costoreal1=$costounidad*$fila01[1];
						$costoreal2=$costoreal2+$costoreal1;
					  }

					  echo "<td class='style5'>Costo real:$ "; printf ("%.2f", $costoreal2); echo"</span></td>";
					echo "</tr>";
				  echo "</table>";
		  
	    echo "<p align='center' class='style7'>Contenido del Paquete ".$nompaquete."</p>";
	    echo "<p>";
          
            echo "<table align='center' cellpadding='2' class='tablaBordes' width='800'>";
			echo "<tr class='tablaCabecera'>";
            
            echo "<td align='center'>";
            echo " ID ";
            echo "</td>";
            
            echo "<td>";
            echo "Nombre";
            echo "</td>";

	   		echo "<td>";
            echo "Clasificaci&oacute;n";
            echo "</td>";
            
			echo "<td align='center'>";
            echo "&nbsp;Costo&nbsp;";
            echo "</td>";
			
            /*
			echo "<td class='style4'>";
            echo "Precio Vta";
            echo "</td>";
			*/
            
            echo "<td>";
            echo "Presentaci&oacute;n";
            echo "</td>";
            
            echo "<td align='center'>";
            echo "Cantidad";
            echo "</td>";
            
	    	echo "<td align='center'>";
            echo "Eliminar";
            echo "</td>";
            
            echo "</tr>";
            
                $cons3="SELECT clave,cantidad FROM contenido_paquete WHERE idPaquete='$idpaquete'";
                $res3=mysql_query($cons3,$conex) or die ("No se realizo el barrido en la tabla contenido_paquete");
                while($fila2 = mysql_fetch_array($res3))
                {		
                        $query="SELECT clave,nombre,clasificacion,costounidad FROM productos Where clave='$fila2[0]'";
                        $result=mysql_query($query,$conex) or die ("No se consultaron los productos");
                        $numero_filas=mysql_num_rows($result);
                        $numero_campos= mysql_num_fields($result);
                        while($fila = mysql_fetch_array($result))
                        {
							echo "<tr class='tablaBordes'>";
							
							//CONSULTO NOMBRE DE LA PRESENTACION
							$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
							$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
							$idpresen=mysql_result($res1,0,'idPresentacion');
							
							$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
							$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
							@$presen=mysql_result($res2,0,'presentacion');
            
							//ID
							echo "<td class='style1' align='center'>";
							echo $fila[0];
							echo "</td>";
							
							//NOMBRE
							echo "<td class='style1'>";
							echo utf8_encode($fila[1]);
							echo "</td>";
							
							//CLASIFICACION
							echo "<td class='style1'>";
							echo $fila[2];
							echo "</td>";
							
							//COSTO
							echo "<td class='style1' align='center'>";
							if ($fila[2]=='Contables fijos' or $fila[2]=='Contables variables')
						    {
							 printf("$ %.2f", $fila[3]);
							}
							else 
							{echo "$ 0.00";} 
							echo "</td>";
							
							/*
							//PRECIO
							echo "<td class='style1' align='center'>";
							printf("$ %.2f", $fila[4]);
							//printf ("$ %.2f", $precio );
							echo "</td>";						
							*/
							
							//IMPRIMO PRESENTACION
							echo "<td class='style1'>";
							echo $presen;
							echo "</td>";
							
							//CANTIDAD
							echo "<td class='titulo' bgcolor='#999999' align='center'>";
							echo "<input type='text' name='cantidad[]' class='cuadrotexto' size='5' maxlength='5' value='".$fila2[1]."'>";
							echo "<input type='hidden' name='idprod[]' value='".$fila[0]."'>";
							echo "</td>";
							
							//ELIMINAR
							echo "<td class='style4'  align='center'>";
							echo "<a href='javascript:borra_producto(&quot;".$fila[0]."&quot;)'><img src='img/icon_delete.jpg' border='0' ALT='Borrar producto'> </a>";
							echo "</td>";

						}
							
							echo "</tr>";
					}
							
					echo "</table>";

                    echo "<input name='idpaquete' type='hidden' class='cuadrotexto' id='idpaquete' value='".$idpaquete."'>";
                    echo "</p>";
                    echo "<p align='center'>";
					echo "<input name='Submit' type='button' class='botonDefault' value='Cancelar' onclick='location.href=&quot;main.php?a=32&quot;'>&nbsp;&nbsp;";
                    echo "<input name='Submit' type='submit' class='botonDefault' value='Guardar cambios'>";
                    echo "</p>";
                  	echo "</form>";
		
	}//end IF
	  ?>
      </div>
    </td>
  </tr>
</table>

<script>
document.getElementById('nombre').focus();
</script>